<?php

/**

 * SensFRX Main Class of App

 *

 */

namespace SensFRX\BlackList;

use SensFRX\Common\ApiCalls;

/**

 * Class Rules

 *

 * @package Rules

 */

class BlackList {

	private $objAPI; 

	public function __construct($objAPI) {

		$this->objAPI = $objAPI;

	}

	public function getBlackList() {

		$method = 'GET';

		$url = '/policy-management/blacklist';

		return $this->objAPI->callAPI($method, $url);

	}

	public function postBlackList($blackListInfo) {

		$method = 'POST';

		$url = '/policy-management/blacklist';

		return $this->objAPI->callAPI($method, $url, $blackListInfo);

	}

	public function postBlackListDelete($blackListInfoDelete) {

		$method = 'POST';

		$url = '/policy-management/blacklist-delete';

		return $this->objAPI->callAPI($method, $url, $blackListInfoDelete);

	}

}

